%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           APLpy
Version:        0.9.8
Release:        1%{?dist}
Summary:        The Astronomical Plotting Library in Python

Group:          Development/Languages
License:        MIT
URL:            http://aplpy.github.com
Source0:        https://github.com/downloads/%{name}/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel numpy python-matplotlib pyfits pywcs
Requires:       numpy python-matplotlib pyfits pywcs

%description
APLpy (the Astronomical Plotting Library in Python) is a Python module aimed at 
producing publication-quality plots of astronomical imaging data in FITS format.
The module uses Matplotlib, a powerful and interactive plotting package. It is
capable of creating output files in several graphical formats, including EPS,
PDF, PS, PNG, and SVG.

Main features:

o Make plots interactively or using scripts
o Show grayscale, colorscale, and 3-color RGB images of FITS files
o Generate co-aligned FITS cubes to make 3-color RGB images
o Overlay any number of contour sets
o Overlay markers with fully customizable symbols
o Plot customizable shapes like circles, ellipses, and rectangles
o Overlay ds9 region files
o Overlay coordinate grids
o Show colorbars, scalebars, and beams
o Customize the appearance of labels and ticks
o Hide, show, and remove different contour and marker layers
o Pan, zoom, and save any view as a full publication-quality plot
o Save plots as EPS, PDF, PS, PNG, and SVG 

%prep
%setup -q -n %{name}-%{version}

%build
%{__python} setup.py build

%check
%{__python} setup.py test

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc CHANGES LICENSE README runtests.py tests/
%{python_sitelib}/%{name}-%{version}-py2.7.egg-info
%{python_sitelib}/aplpy/

%changelog
* Tue May 03 2012 Germán A. Racca <skytux@fedoraproject.org> - 0.9.8-1
- Updated to new version
- Included tests in %%check and corresponding BRs
- Packaged tests in %%doc section

* Mon Feb 06 2012 Germán A. Racca <skytux@fedoraproject.org> 0.9.6-3
- Minor changes to spec file after approval
- Removed INSTALL file

* Mon Jan 30 2012 Germán A. Racca <skytux@fedoraproject.org> 0.9.6-2
- Changed name of spec file to match the project name

* Mon Jan 23 2012 Germán A. Racca <skytux@fedoraproject.org> 0.9.6-1
- Initial release of RPM package

